Skip to main content
GET
/
organizations
/
{organizationId}
/
alerts
List alerts
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/alerts \
  --header 'Authorization: Bearer <token>'
{
  "alerts": [
    {
      "createdAt": "2022-11-22T04:37:12Z",
      "createdBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "entityId": "<string>",
      "entityType": "DEPLOYMENT",
      "id": "<string>",
      "name": "<string>",
      "organizationId": "<string>",
      "rules": {
        "properties": "<unknown>",
        "patternMatches": [
          {
            "entityType": "DAG_ID TASK_ID",
            "operatorType": "IS IS_NOT INCLUDES EXCLUDES",
            "values": [
              "<string>"
            ]
          }
        ]
      },
      "severity": "INFO",
      "type": "DAG_SUCCESS",
      "updatedAt": "2022-11-22T04:37:12Z",
      "updatedBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "deploymentId": "<string>",
      "entityName": "<string>",
      "notificationChannels": [
        {
          "createdAt": "2022-11-22T04:37:12Z",
          "definition": "<unknown>",
          "entityId": "<string>",
          "entityType": "ORGANIZATION",
          "id": "<string>",
          "name": "<string>",
          "organizationId": "<string>",
          "type": "SLACK",
          "updatedAt": "2022-11-22T04:37:12Z",
          "deploymentId": "<string>",
          "workspaceId": "<string>"
        }
      ],
      "workspaceId": "<string>"
    }
  ],
  "limit": 123,
  "offset": 123,
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the alerts belong to.

Query Parameters

alertIds
string[]

A list of IDs for specific alerts to list. The API returns details for all alerts which have been specified in this list.

deploymentIds
string[]

A list of deployment IDs the alerts belong to. The API returns details for all alerts belonging only to the specified Deployments.

workspaceIds
string[]

A list of workspace IDs the alerts belong to. The API returns details for all alerts belonging only to the specified Workspaces.

alertTypes
enum<string>[]

A list of types for specific alerts to filter by. The API returns details for all alerts belonging only to the specified alert types.

Available options:
DAG_SUCCESS,
DAG_FAILURE,
DAG_DURATION,
DAG_TIMELINESS,
TASK_DURATION,
TASK_FAILURE
entityType
enum<string>

The type of the entity the alerts belong to.

Available options:
DEPLOYMENT
offset
integer
default:0

The number of results to skip before returning values.

Required range: x >= 0
limit
integer
default:20

The maximum number of results to return.

Required range: 0 <= x <= 1000
sorts
enum<string>[]

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Available options:
name:asc,
name:desc,
createdAt:asc,
createdAt:desc,
updatedAt:asc,
updatedAt:desc

Response

OK

alerts
object[]
required

The list of alerts.

limit
integer
required

The limit for pagination.

offset
integer
required

The offset for pagination.

totalCount
integer
required

The total count of alerts.